/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

/**
 * @author Masako Okayasu
 */
public class XbItemInterfaceObj {

	// ユーザ側環境 項目ID
	private long user_item_id;
	// ユーザ側環境 データ内容
	private String item_value;
	// エンティティ
	private String entity;
	// ピリオド
	private String period;
	// ユニット
	private String unit;

	/**
	 * @return entity
	 */
	public String getEntity() {
		return entity;
	}
	/**
	 * @param entity 設定する entity
	 */
	public void setEntity(String entity) {
		this.entity = entity;
	}
	/**
	 * @return item_value
	 */
	public String getItem_value() {
		return item_value;
	}
	/**
	 * @param item_value 設定する item_value
	 */
	public void setItem_value(String item_value) {
		this.item_value = item_value;
	}
	/**
	 * @return period
	 */
	public String getPeriod() {
		return period;
	}
	/**
	 * @param period 設定する period
	 */
	public void setPeriod(String period) {
		this.period = period;
	}
	/**
	 * @return unit
	 */
	public String getUnit() {
		return unit;
	}
	/**
	 * @param unit 設定する unit
	 */
	public void setUnit(String unit) {
		this.unit = unit;
	}
	/**
	 * @return user_item_id
	 */
	public long getUser_item_id() {
		return user_item_id;
	}
	/**
	 * @param user_item_id 設定する user_item_id
	 */
	public void setUser_item_id(long user_item_id) {
		this.user_item_id = user_item_id;
	}
}